import { Component, OnInit, Input } from '@angular/core';
import { ModalController } from '@ionic/angular';
@Component({
  selector: 'app-food-detail',
  templateUrl: './food-detail.page.html',
  styleUrls: ['./food-detail.page.scss'],
})
export class FoodDetailPage implements OnInit {

    @Input() food: any;
    activeSegment = "ingredients";
    constructor(private modalController: ModalController) { }

    ngOnInit() {
    }

    ionViewWillEnter() {
        console.log(this.food);
    }
    segmentChanged(ev: any) {
        console.log('Segment changed', ev.detail);
        this.activeSegment = ev.detail.value;
    }

}
